problem compiling Hostap against the latest libnl... (prototypes don't match)

Sinan Akman sinan at writeme.com
Sun Feb 21 18:36:27 EST 2010


Frantisek Rysanek wrote:

> 
> As for the latest snapshot of hostap, that's a tad different.
> If I want proper nl80211 support including the latest developments 
> from the kernel side, I need a fresh version of the hostap.
> I really first tried compiling 0.6.10, then 0.7.1, and only then I 
> tried the snapshot - which didn't compile either. 

   Frantisek, FWIW, I had hostapd 0.6.9 compiled and worked fine
with git clone of libnl as of last Friday. I tested it with
linux 2.6.33-rc8 for some of the basic functionality and
it seemed fine to me. I used AR9280 wireless cards. There is
obviously lots of fixes for 0.6.10 but it might help you get
started somewhere.

   Hope this helps.

   -- sinan


More information about the HostAP mailing list